## com.sun.grizzly.util
Class StateHolder.EqualConditionListener<E>

    java.lang.Object
      com.sun.grizzly.util.StateHolder.ConditionListener<E>
          com.sun.grizzly.util.StateHolder.EqualConditionListener<E>

Enclosing class:
  StateHolder<E>

    public static class StateHolder.EqualConditionListener<E>

extends StateHolder.ConditionListener<E>

Equal ConditionListener implementation

Field Summary

Fields inherited from class com.sun.grizzly.util.StateHolder.ConditionListener
`listener, state`

Constructor Summary
`StateHolder.EqualConditionListener()`

Method Summary
`boolean` `check(E state)`

Methods inherited from class com.sun.grizzly.util.StateHolder.ConditionListener
`notifyListener, set`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StateHolder.EqualConditionListener

    public StateHolder.EqualConditionListener()

Method Detail

### check

    public boolean check(E state)

  Specified by:
    `check` in class `StateHolder.ConditionListener<E>`

Copyright © 2008 SUN Microsystems. All Rights Reserved.